# Emacs Kotlin Mode

[![MELPA](https://melpa.org/packages/kotlin-mode-badge.svg)](https://melpa.org/#/kotlin-mode)

In a sense the title says it all, this is an [Emacs](https://www.gnu.org/software/emacs/) major mode for
editing [Kotlin](http://kotlinlang.org/) source code – and in the future [Gradle](http://gradle.org/) build
files.

If you are using Emacs 24 or later, use the package management system to install this mode from
[MELPA](http://melpa.org/) (*).

If you are using an earlier version of Emacs, you are probably best advised to upgrade Emacs to a version
with package management so you can use package management to install the mode from MELPA.

(*) As at 2016-06-20 this mode is only in MELPA and not in MELPA stable, a release will be made when a
version is ready to be declared.

## Kotlin REPL key binding

 Key
 Function

 C-c C-z
 Start REPL

 C-c C-n
 Send current line to REPL

 C-c C-r
 Send selected region to REPL

 C-c C-c
 Send current code block to REPL

 C-c C-b
 Send whole buffer to REPL

